lkml.org 
[lkml]   [2004]   [Nov]   [18]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: follow-up to: OOPS in tulip 2.6.10-rc2-bk2
simon@nuit.ca wrote:
> i get build warnings:
>
> drivers/net/appletalk/ipddp.c:292: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> CC [M] drivers/net/tulip/de2104x.o
> drivers/net/tulip/de2104x.c:61: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/tulip/de2104x.c:72: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> CC [M] drivers/net/tulip/eeprom.o
> CC [M] drivers/net/tulip/interrupt.o
> CC [M] drivers/net/tulip/media.o
> CC [M] drivers/net/tulip/timer.o
> CC [M] drivers/net/tulip/tulip_core.o
> drivers/net/tulip/tulip_core.c:118: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/tulip/tulip_core.c:119: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/tulip/tulip_core.c:120: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/tulip/tulip_core.c:121: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/tulip/tulip_core.c:122: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/tulip/tulip_core.c:123: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
>
> and:
>
> drivers/net/mace.c:1050: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> CC [M] drivers/net/3c59x.o
> drivers/net/3c59x.c:281: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:282: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:283: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:284: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:285: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:286: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:287: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:288: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:289: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:290: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:291: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:292: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:293: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:294: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
> drivers/net/3c59x.c:295: warning: `MODULE_PARM_' is deprecated (declared at include/linux/module.h:562)
>
>
> with -bk3. got the same ones in -bk2.
>
> eric
>

There's a project underway to convert those to module_param() (defined in
include/linux/moduleparam.h) at kernel-janitors@lists.osdl.org - right now, it's
not a critical problem. Probably won't be corrected until after 2.6.10 is
released - Linus is only accepting bugfixes right now.

Jim
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 14:08    [from the cache]
©2003-2011 Jasper Spaans